Bug 150075 - unexpanding panel changes applet order in next session.
unexpanding panel changes applet order in next session.
Product: Fedora
Classification: Fedora
Component: gnome-panel (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mark McLoughlin
Depends On:
  Show dependency treegraph
Reported: 2005-03-02 00:27 EST by Jens Petersen
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-04-08 03:36:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 173029 None None None Never

  None (edit)
Description Jens Petersen 2005-03-02 00:27:27 EST
Description of problem:
When one unexpands the default gnome-panel,
the order of the applets changes to a apparently
"random" arbitrary order

How reproducible:
every time

Steps to Reproduce:
1. Start a gnome session for a new user.
2. Unexpand the Panel.
3. Exit and start a new gnome session.
Actual results:
Applets are in a completely different order than the original.

Expected results:
The order of the applets to be maintained.

Additional info:
Guessing, but it looks like after unexpanding, the applets get
re-ordered on a first-come-first-served basis.
It is pretty annoying to have to reorder the applets oneself
by hand.

I believe the behaviour probably started with fc3.
Comment 1 Mark McLoughlin 2005-04-07 08:01:45 EDT
This still happening with recent rawhide - i.e. gnome-panel-2.10.1 ?
Comment 2 Jens Petersen 2005-04-07 21:06:36 EDT
Comment 3 Mark McLoughlin 2005-04-08 03:36:24 EDT
Thanks, moved upstream:


Note You need to log in before you can comment on or make changes to this bug.